Bug 914752 - Review Request: libiscsi - userspace iSCSI initiator
Summary: Review Request: libiscsi - userspace iSCSI initiator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-22 16:59 UTC by Paolo Bonzini
Modified: 2013-04-03 04:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-29 21:30:38 UTC
cfergeau: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paolo Bonzini 2013-02-22 16:59:17 UTC
Spec URL: http://bonzini.fedorapeople.org/libiscsi.spec
SRPM URL: http://bonzini.fedorapeople.org/libiscsi-1.7.0-1.fc18.src.rpm
Description: libiscsi is a library for attaching to iSCSI resources across
a network.
Fedora Account System Username: bonzini

Comment 1 Marc-Andre Lureau 2013-02-22 17:44:46 UTC
Looks good to me and using fedora-review&rpmlint

- clean is present but not required
- you could refer to this bug in the changelog

I am not sure how bad is this warning:
- libiscsi.x86_64: W: non-conffile-in-etc /etc/ld.so.conf.d/libiscsi-x86_64.conf

Comment 2 Paolo Bonzini 2013-02-22 17:49:44 UTC
I'm uploading a new version that uses %config for this file.

Spec URL: http://bonzini.fedorapeople.org/libiscsi.spec
SRPM URL: http://bonzini.fedorapeople.org/libiscsi-1.7.0-2.fc18.src.rpm

Comment 3 Christophe Fergeau 2013-03-07 16:21:31 UTC
Only complaint from fedora-review is
[!]: Spec use %global instead of %define.
     Note: %define libiscsi_includedir %{_includedir}/iscsi %define
     libiscsi_libdir %{_libdir}/iscsi

The tools are GPLv2 licensed, not LGPLv2, this probably should be reflected in the .spec license field.

Looks good for me apart from this.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Spec file lacks Packager, Vendor, PreReq tags.
  Note: Found : Packager: Christophe Fergeau <cfergeau@redhat.com>
  See: (this test has no URL)


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/ld.so.conf.d/*
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libiscsi-
     utils , libiscsi-devel
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Public domain", "LGPL (v2.1 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in /home/teuf/redhat/spice-xpi-
     rebased/914752-libiscsi/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 143360 bytes in 13 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Spec use %global instead of %define.
     Note: %define libiscsi_includedir %{_includedir}/iscsi %define
     libiscsi_libdir %{_libdir}/iscsi
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libiscsi-1.7.0-2.fc18.x86_64.rpm
          libiscsi-utils-1.7.0-2.fc18.x86_64.rpm
          libiscsi-devel-1.7.0-2.fc18.x86_64.rpm
libiscsi.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi.x86_64: W: summary-not-capitalized C iSCSI client library
libiscsi.x86_64: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
libiscsi.x86_64: W: conffile-without-noreplace-flag /etc/ld.so.conf.d/libiscsi-x86_64.conf
libiscsi-utils.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi-utils.x86_64: W: summary-not-capitalized C iSCSI Client Utilities
libiscsi-utils.x86_64: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-readcapacity16
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-inq
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-ls
libiscsi-devel.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi-devel.x86_64: W: summary-not-capitalized C iSCSI client development libraries
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libiscsi libiscsi-devel libiscsi-utils
libiscsi.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi.x86_64: W: summary-not-capitalized C iSCSI client library
libiscsi.x86_64: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
libiscsi.x86_64: W: conffile-without-noreplace-flag /etc/ld.so.conf.d/libiscsi-x86_64.conf
libiscsi-devel.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi-devel.x86_64: W: summary-not-capitalized C iSCSI client development libraries
libiscsi-utils.x86_64: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
libiscsi-utils.x86_64: W: summary-not-capitalized C iSCSI Client Utilities
libiscsi-utils.x86_64: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-readcapacity16
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-inq
libiscsi-utils.x86_64: W: no-manual-page-for-binary iscsi-ls
3 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
libiscsi (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    config(libiscsi)
    libc.so.6()(64bit)
    rtld(GNU_HASH)

libiscsi-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libiscsi
    libiscsi.so.1()(64bit)

libiscsi-utils (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libiscsi.so.1()(64bit)
    libpopt.so.0()(64bit)
    libpopt.so.0(LIBPOPT_0)(64bit)
    rtld(GNU_HASH)



Provides
--------
libiscsi:
    config(libiscsi)
    libiscsi
    libiscsi(x86-64)
    libiscsi.so.1()(64bit)

libiscsi-devel:
    libiscsi-devel
    libiscsi-devel(x86-64)
    pkgconfig(libiscsi)

libiscsi-utils:
    libiscsi-utils
    libiscsi-utils(x86-64)



MD5-sum check
-------------
https://github.com/downloads/sahlberg/libiscsi/libiscsi-1.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : caaaa8194e66f50a12e01ac44e0c9246f4eac388e2bebafbcd8efd2801ceacbf
  CHECKSUM(SHA256) upstream package : caaaa8194e66f50a12e01ac44e0c9246f4eac388e2bebafbcd8efd2801ceacbf


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 914752

Comment 4 Paolo Bonzini 2013-03-07 17:08:46 UTC
Fixed these:
[ ]: License field in the package spec file matches the actual license.
[ ]: Fully versioned dependency in subpackages, if present.
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

New version uploaded.

Spec URL: http://bonzini.fedorapeople.org/libiscsi.spec
SRPM URL: http://bonzini.fedorapeople.org/libiscsi-1.7.0-3.fc18.src.rpm

Comment 5 Christophe Fergeau 2013-03-11 11:03:43 UTC
Looks good to me now! Minor nit, can you add a comment before Patch0 indicating whether this is upstream or not?

Comment 6 Paolo Bonzini 2013-03-11 15:13:01 UTC
New Package SCM Request
=======================
Package Name: libiscsi
Short Description: A library for attaching to iSCSI resources across a network.
Owners: bonzini crobinso
Branches: f18 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-03-11 15:29:56 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-03-12 10:10:19 UTC
libiscsi-1.7.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libiscsi-1.7.0-3.fc18

Comment 9 Fedora Update System 2013-03-12 10:41:21 UTC
libiscsi-1.7.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libiscsi-1.7.0-3.el6

Comment 10 Fedora Update System 2013-03-12 17:42:50 UTC
libiscsi-1.7.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2013-03-29 21:30:40 UTC
libiscsi-1.7.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2013-04-03 04:53:18 UTC
libiscsi-1.7.0-3.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.